<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<style>

    * {
        box-sizing: border-box;
    }

    #myBtn {
        background-color: black;
        color: white;
        padding: 12px 16px;
        font-size: 18px;
        font-weight: bold;
        border: none;
        cursor: pointer;
        width: 180px;
        border-radius: 5px;
    }

    .modal {
        display: none; /*!* Hidden by default *!*/
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0, 0, 0); /* Fallback color */
        background-color: rgba(0, 0, 0, 0.4); /* Black opacity */
    }

    .modal_container {
        position: absolute;
        left: 50%;
        top: 50%;
        margin-left: -100px;
        margin-top: -75px;
        background-color: #fff;
        width: 200px;
        height: 150px;
        border-radius: 5px;
        border: 1px solid dimgray;
    }

    .close {
        margin-right: 7px;
        color: black;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

    .myText {
        text-align: center;
        font-family: Roboto;
        font-size: 18px;
        font-weight: bold;
        margin-top: 60px;
    }
</style>
<body>
<h2>Page header</h2>
<button id="myBtn">Open window</button>

<div id="myModal" class="modal">
    <div class="modal_container">
        <span class="close">&times;</span>
        <p class="myText">Some text</p>
    </div>
</div>

<script>

    const modal = document.getElementById('myModal');
    const btn = document.getElementById("myBtn");
    const span = document.getElementsByClassName("close")[0];

    btn.onclick = function () {
        modal.style.display = "block";
    };

    span.onclick = function () {
        modal.style.display = "none";
    };

    window.onclick = function (event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    };


</script>

</body>
</html>